// On extrude linéairement sur 25mm
linear_extrude(height = 25) {
// On définit un carré régulier de coté trente
    translate([200, 100]) square(30);
// On définit un carré avec des dimensions differentes suivant les axes, centrée sur l'origine
    translate([300, 100]) square([10, 20], center = true);
}

// L'extrusion rotative permet de définir facilement des formes toriques
// Attention, le paramètres 'angle' n'est disponible qu'à partir de la version 2016.XX
rotate_extrude(angle = 142) {
    // On définit un cercle par son rayon
    translate([150, 0]) circle(r = 42);
    // On définit un cercle par son diamètre
    translate([150, 100]) circle(d = 42);
}


translate([0,300])
linear_extrude(25) {
    // Il est très facile d'écrire
    text("Beautiful is better than ugly");
    // Toutes les polices du systèmes sont disponibles
    translate([0, -40])
    text("Explicit is better than implicit.",
        size = 12,
        font = "Courier:style=Bold Italic");
}
