/* On définit une sphère par son rayon */
sphere(r = 42);
/* On définit une sphère par son diamètre */
translate([100, 0, 0]) sphere(d = 42);

/* On définit un cube régulier de coté trente */
translate([0, 100, 0]) cube(30);
/* On définit une cube avec des dimensions differentes suivant les axes, centrée sur l'origine */
translate([100, 100, 0]) cube([10, 20, 30], center = true);

/* Les cylindre sont définit par leur hauteur et par leur largeur */
translate([0, 200, 0]) cylinder(h = 42, r = 12);
/* Le largeur peut être différente aux deux extrémités. La hauteur peut être centrée */
translate([100, 200, 0]) cylinder(h = 42, r1 = 12, d2 = 42, center = true);
