// Le volume de base sans transformation
cube(42);

// On effectue une translation de 100mm sur l'axe des X
color("red") translate([100, 0, 0]) cube(42);

// On effectue une translation puis une rotation
color("green") rotate([42, 42, 42]) translate([100, 100, 0]) cube(42);

// On remarque que le résultat d'une rotation suivie d'une translation est différent
color("blue") translate([100, 100, 0]) rotate([42, 42, 42]) cube(42);

// De même, lorsque l'on redimensionne, l'ordre des opérations à son importance
color("pink") rotate([-42, 42, 42]) translate([100, 100, 0]) scale([1, 2, 3]) cube(42);
color("purple") scale([1, 2, 3]) rotate([-42, 42, 42]) translate([100, 100, 0]) cube(42);